import Taro from '@tarojs/taro'
import useSave from "@/utils/hooks/useSave"
import useLike from "@/utils/hooks/useLike"

import { getShopDetail, getShopcity } from '@/services/home'
import { useState, useEffect } from 'react'
import { View } from '@tarojs/components'

import Star from '@/components/Star/Star.jsx'
import position from '@/assets/icons/GuideCheck/position_logo.png'
import SeeDetails from '@/assets/icons/GuideCheck/SeeDetails.png'
import Attractions from '@/assets/icons/GuideCheck/Attractions.png'
import baozan from '@/assets/icons/housemantj/爆赞.png'
import weibaozan from '@/assets/icons/housemantj/未赞.png'
import starOn from '@/assets/icons/housemantj/onlove.png'
import starOff from '@/assets/icons/housemantj/景点爆赞.png'
import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'




import './style.less'

export default (props) => {
  const { item, cardNavigateTo } = props
  const shopId = props.item
  const [isSaved, toggleSave] = useSave(item.isSaved, 'shop_package', item.targetId)
  const [isLike, toggleLike] = useLike(item.isLike, 'shop', item.targetId)

  const [city, setCity] = useState({})
  const [detail, setDetail] = useState({})
  const [hotStyle, setHotStyle] = useState('none')
  const targetType = item.targetType
  // item.targetType !== 'shop_package'


  const goFood = () => {
    // Taro.navigateTo({ url: `/pages/details/foodDetails/foodDetails?id=${shopId}` })
  }

  // useEffect(() => {
  //   if (shopId) {
  //     getShopDetail(item.shopId).then((res) => {
  //       setDetail(res)
  //       getShopcity(res.cityId).then((x) => {
  //         setCity(x)
  //       })
  //     })
  //   }

  // }, [shopId, targetType])

  // useEffect(() => {
  //   if (item.targetType !== 'shop_package') {
  //     console.log(item.targetType);
  //   }

  // }, [item.targetType])



  const star = parseFloat(((item.sweetScore + item.environmentScore + item.serviceScore) / 3).toFixed(1));
  return (
    <View>
      {
        targetType === "shop_package" && (
          <view class='wrapper'>
            <view class='left-complete-one'   >
              <image className='left-image-1' src={ProCard_hot} style={{ display: item.targetType === 'shop_package' ? '' : 'none' }} ></image>
              <view className='left-viewText'  >
                返现￥{item.cashback / 100}
              </view>
              {/* 评分 */}
              <view className='card-box-star' style={{ display: item.targetType === 'shop_package' ? '' : 'none' }} >
                <Star star={star} />
                <text className='card-star-text' >{star}</text>
              </view>
              <view className='title-image' onClick={() => { goFood() }}>
                <image className='image-1' mode='scaleToFill' src={item.poster}></image>
                <image className='image-2' src={item.targetType === 'tourist' ? Attractions : food}></image>
              </view>
              <view className='title-content'>
                <view className='Pro-title' onClick={() => { goFood() }} >
                  <view className='title-text'>{(item.title).toString().length > 25 ? (item.title).substring(0, 25) + '...' : (item.title)}</view>
                </view>
                <text className='title-money' >￥{item.actualPrice / 100}元<text className='title-money-2'>门市价{item.standardPrice / 100}元</text></text>
                <view className='title-position-on'>
                  <image className='title-position' src={position} />
                  <text className='title-position-image'>{item.areaPName}/{item.areaName}</text>
                </view>
              </view>
            </view>
            <view class='right-complete-two'>
              <view className='right-content' onClick={() => { Taro.navigateTo({ url: `/pages/PayOrder/index?packageId=${item.packageId}` }); }}>
                {/* <view className='right-number'>×1</view> */}
                <image className='right-image' src={SeeDetails} />
                <view className='right-title'>查看详情</view>
              </view>
            </view>
          </view>
        )
      }
      <View>
        {
          targetType !== "shop_package" && (
            <view class='wrapper-tourist'>
              <view class='left-complete-one'   >
                <view className='title-image' onClick={() => { goFood() }}>
                  <image className='image-1' mode='scaleToFill' src={item.poster}></image>
                  <image className='image-2' src={item.targetType === 'tourist' ? Attractions : food}></image>
                </view>
                <view className='title-content'>
                  <view className='Pro-title' onClick={() => { goFood() }} >
                    <view className='title-text'>{(item.title).toString().length > 25 ? (item.title).substring(0, 25) + '...' : (item.title)}</view>
                  </view>
                  <text className='title-money' >￥{item.actualPrice / 100}元<text className='title-money-2'>门市价{item.standardPrice / 100}元</text></text>
                  <view onClick={toggleSave}>
                    <image className='title-on' src={isLike > 0 ? baozan : weibaozan} />
                    <text onClick={toggleLike} className='title-on-text'>{isLike > 0 ? '已爆赞' : '爆赞'}</text>
                  </view>
                  <view className='title-position-on'>

                    <image className='title-position' src={position} />

                    <text className='title-position-image'>{item.areaPName}/{item.areaName}</text>

                  </view>
                </view>
              </view>
              <view class='right-complete-two'>
                <view className='right-content' onClick={() => { Taro.navigateTo({ url: `/pages/PayOrder/index?packageId=${item.packageId}` }); }}>
                  {/* <view className='right-number'>×1</view> */}
                  <image className='right-image' src={SeeDetails} />
                  <view className='right-title'>查看详情</view>
                </view>
              </view>
            </view>
          )
        }
      </View>

    </View>


  )
}
